package agent_base

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent_base"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent_base/delete agent_base DeleteAgentBase
//
// Delete agent base information | 删除AgentBase信息
//
// Delete agent base information | 删除AgentBase信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DeleteDataReq
//
// Responses:
//  200: BaseDataInfo

func DeleteAgentBaseHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DeleteDataReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent_base.NewDeleteAgentBaseLogic(r.Context(), svcCtx)
		resp, err := l.DeleteAgentBase(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
